ros-jazzy-ament-cmake-libraries (2.5.6-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 22 Feb 2026 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.5-2noble) noble; urgency=high

  * Address ament_lint_cmake regressions (backport #604 <https://github.com/ament/ament_cmake/issues/604>) (#607 <https://github.com/ament/ament_cmake/issues/607>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 12 Jan 2026 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.4-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 23 Apr 2025 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.3-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.2-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Jul 2024 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.1-2noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.5.0-2noble) noble; urgency=high

  * perf: faster ament_libraries_deduplicate implementation (#448 <https://github.com/ament/ament_cmake/issues/448>)
    Co-authored-by: Scott K Logan <mailto:logans@cottsay.net>
  * Contributors: Vincent Richard

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.4.0-2noble) noble; urgency=high

  * Subtle fix for ament_libraries_deduplicate tests (#516 <https://github.com/ament/ament_cmake/issues/516>)
  * Add some basic tests to ament_cmake_libraries (#512 <https://github.com/ament/ament_cmake/issues/512>)
  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo, Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.3.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.3.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.3.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.2.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.2.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 20 Jun 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.2.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.1.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.0.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.0.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (2.0.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.5.3-2noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.5.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.5.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.5.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 10 Jul 2022 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.4.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.3.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.3.0-2noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.2.1-2noble) noble; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.2.0-2noble) noble; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Oct 2021 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.1.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.1.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.1.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 21:59:00 -0000

ros-jazzy-ament-cmake-libraries (1.1.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 18:12:00 -0000

ros-jazzy-ament-cmake-libraries (1.1.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Feb 2021 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.0.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.0.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.0.2-2noble) noble; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Dec 2020 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.0.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Sep 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (1.0.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 21 Jul 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.6-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.5-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.4-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 13:45:00 -0000

ros-jazzy-ament-cmake-libraries (0.9.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 10:25:00 -0000

ros-jazzy-ament-cmake-libraries (0.8.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.8.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.7.3-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.7.2-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.7.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.7.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 07 Apr 2019 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.6.0-2noble) noble; urgency=high

  * fix regex for build configuration keywords (#148 <https://github.com/ament/ament_cmake/issues/148>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Nov 2018 23:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.5.1-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.5.0-2noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 12 Jun 2018 22:00:00 -0000

ros-jazzy-ament-cmake-libraries (0.4.0-2noble) noble; urgency=high

  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * add explicit build type
  * add missing copyright / license information, update format of existing license information
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * add ament_cmake_libraries
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


